package br.exemplodialogfragment;


import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTransaction;
import android.util.Log;
import android.view.View;
import br.exemplodialogfragment.R;

public class MainActivity extends FragmentActivity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
	}
	
	
	public void openDialogFragment(View view){
		FragmentTransaction ft = getSupportFragmentManager().beginTransaction();
		CustomDialogFragment cdf = new CustomDialogFragment(3, 2);
		cdf.show(ft, "dialog");
	}
	
	
	public void turnOffDialogFragment(){
		FragmentTransaction ft = getSupportFragmentManager().beginTransaction();
		CustomDialogFragment cdf = (CustomDialogFragment) getSupportFragmentManager().findFragmentByTag("dialog");
		if(cdf != null){
			cdf.dismiss();
			ft.remove(cdf);
		}
	}
}
